SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   OS (UNIX)  >   OpenBSD Kernel Vendors:   OpenBSD
OpenBSD pipex Session Processing Flaw Lets Remote Users Deny Service
SecurityTracker Alert ID:  1031329
SecurityTracker URL:  http://securitytracker.com/id/1031329
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Dec 10 2014
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5.5, 5.6
Description:   A vulnerability was reported in the OpenBSD Kernel. A remote user can cause denial of service conditions.

A remote user can send specially crafted data via a pipex session to cause the target service to crash.

The pipex_common_input(), pipex_ppp_proto(), and pipex_pptp_lookup_session() functions are affected.

Impact:   A remote user can cause the target service to crash.
Solution:   The vendor has issued a fix.

The patches are available at:

http://ftp.openbsd.org/pub/OpenBSD/patches/5.5/common/016_pipex.patch.sig
http://ftp.openbsd.org/pub/OpenBSD/patches/5.6/common/010_pipex.patch.sig

Vendor URL:  www.openbsd.org/ (Links to External Site)
Cause:   State error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC